- Qt 5.15
- Qt Wayland Compositor
- C++ Classes
- QWaylandXdgPopupV5
- Qt 5.15.18 Reference Documentation

# QWaylandXdgPopupV5 Class

The QWaylandXdgPopupV5 class provides menus for an xdg surface. More...

Header: | #include <QWaylandXdgPopupV5>
qmake: | QT += waylandcompositor
Since: | Qt 5.8
Inherits: | QWaylandShellSurfaceTemplate

This class is obsolete. It is provided to keep old source code working. We strongly advise against using it in new code.

This class was introduced in Qt 5.8.

- List of all members, including inherited members

## Properties

- parentSurface : QWaylandSurface* const
- position : const QPoint
- shell : QWaylandXdgShellV5* const
- surface : QWaylandSurface* const

## Public Functions

| QWaylandXdgPopupV5(QWaylandXdgShellV5 *xdgShell, QWaylandSurface *surface, QWaylandSurface *parentSurface, const QPoint &position, const QWaylandResource &resource)
| QWaylandXdgPopupV5()
void | initialize(QWaylandXdgShellV5 *shell, QWaylandSurface *surface, QWaylandSurface *parentSurface, const QPoint &position, const QWaylandResource &resource)
QWaylandSurface * | parentSurface() const
QPoint | position() const
QWaylandXdgShellV5 * | shell() const
QWaylandSurface * | surface() const

## Signals

void | parentSurfaceChanged()
void | positionChanged()
void | shellChanged()
void | surfaceChanged()

## Static Public Members

const struct wl_interface * | interface()
QWaylandSurfaceRole * | role()

## Detailed Description

This class is part of the QWaylandXdgShellV5 extension and provides a way to extend the functionality of an existing QWaylandSurface with features specific to desktop-style menus for an xdg surface.

It corresponds to the Wayland interface xdg_popup.

## Property Documentation

### parentSurface : QWaylandSurface* const

This property holds the surface associated with the parent of this QWaylandXdgPopupV5.

Access functions:

QWaylandSurface * | parentSurface() const

Notifier signal:

void | parentSurfaceChanged()

### position : const QPoint

This property holds the location of the upper left corner of the surface relative to the upper left corner of the parent surface, in surface local coordinates.

Access functions:

QPoint | position() const

Notifier signal:

void | positionChanged()

### shell : QWaylandXdgShellV5* const

This property holds the shell associated with this QWaylandXdgPopupV5.

Access functions:

QWaylandXdgShellV5 * | shell() const

Notifier signal:

void | shellChanged()

### surface : QWaylandSurface* const

This property holds the surface associated with this QWaylandXdgPopupV5.

Access functions:

QWaylandSurface * | surface() const

Notifier signal:

void | surfaceChanged()

## Member Function Documentation

### QWaylandXdgPopupV5::QWaylandXdgPopupV5(QWaylandXdgShellV5 *xdgShell, QWaylandSurface *surface, QWaylandSurface *parentSurface, const QPoint &position, const QWaylandResource &resource)

Constructs a QWaylandXdgPopupV5, associating it with xdgShell at the specified position for surface, and initializes it with the given parentSurface and resource.

### QWaylandXdgPopupV5::QWaylandXdgPopupV5()

Constructs a QWaylandXdgPopupV5.

### void QWaylandXdgPopupV5::initialize(QWaylandXdgShellV5 *shell, QWaylandSurface *surface, QWaylandSurface *parentSurface, const QPoint &position, const QWaylandResource &resource)

Initializes the QWaylandXdgPopupV5, associating it with the given shell, surface, parentSurface, position, and resource.

Note: This function can be invoked via the meta-object system and from QML. See Q_INVOKABLE.

### `[static]` const struct wl_interface *QWaylandXdgPopupV5::interface()

Returns the Wayland interface for the QWaylandXdgPopupV5.

### `[static]` QWaylandSurfaceRole *QWaylandXdgPopupV5::role()

Returns the surface role for the QWaylandXdgPopupV5.